#pragma implementation

#include "DebtagsPackage.h"

using namespace std;
using namespace Debtags;

Package::Package(const Packages& pool, const std::string& name) throw ()
	: _pool(pool), _name(name), _maint(0)
{
	/*
	int send = desc.find('\n');
	_desc = desc.substr(0, send);
	_ldesc = desc.substr(send + 1);
	*/
}


const string& Package::fulldata() throw ()
{
	if (_fulldata.empty())
	{
		printf("Reading full data for %.*s\n", PFSTR(_name));
		_fulldata = _pool._packagedb.getPackageRecord(_name);
	}
	return _fulldata;
}

// vim:set ts=3 sw=3:
